From: <a href="/blend/av.cgi?id=1684">Blessed23</a><BR>
Date: 2 November 2011<P>

Star of David, about <a href="/blend/wv.cgi?id=2011.11.01.01.23.10046">Serendipity</a>: Marshall likes this, yes he does.  Also, I've noticed that the length of your works have been dramatically reduced.  I recall you writing fairly lengthy pieces before.  Was this a conscious decision?
<HR>
From: <a href="/blend/av.cgi?id=35">Star of David</a><BR>
Date: 2 November 2011<P>

Hi,<BR>
Glad you like! Yes, they have gotten shorter. They just land in my head more or less that way... Not a conscious decision, it just turns out like that I think.
<HR>
From: <a href="/blend/av.cgi?id=517">musicalduck</a><BR>
Date: 2 November 2011<P>

Star of David, Sometimes I feel like you're writing what I wish I could. I feel like I can completely relate to your recent pieces.
<HR>